Bug Hunting Session
Bug 109203 - Option to add filename as caption to imported image
Summary: Option to add filename as caption to imported image
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.3.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Images
  Show dependency treegraph
 
Reported: 2017-07-19 10:19 UTC by internationils
Modified: 2017-09-26 14:55 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description internationils 2017-07-19 10:19:07 UTC
Description:
I have documents with a lot of images and would like to label them with the filename (also to guard against https://bugs.documentfoundation.org/show_bug.cgi?id=99050 ). It would be great to have an option to automatically add the filename (with or without the full path) as an automatic caption.

Steps to Reproduce:
1. Add image
2. Add caption
3. No automatic filename ...

Actual Results:  
No filename in caption

Expected Results:
Filename in caption


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Heiko Tietze 2017-08-14 15:28:29 UTC
Definitely not the caption as this usually holds different information like 'Figure 1: Visualization of Foo" where the file itself is rather "foo.png".
However we also have name and description (properties > options in Writer) that could be used. In Impress/Draw and Calc this dialog doesn't exist, which is odd (bug 90169 comment 7), but access to both fields is given via main menu.
Other opinions?
Comment 2 Heiko Tietze 2017-09-26 14:55:43 UTC
No further opinion so I resolve it as WONTFIX. Your use case is very special and would be solved best via macro.